/*
 * 5799-WZQ (C) COPYRIGHT = NONE
 * LICENSED MATERIALS - PROPERTY OF IBM
 */
/* $Header:curon.c 12.0$ */
/* $ACIS:curon.c 12.0$ */
/* $Source: /ibm/acis/usr/src/usr.lib/lib2648/RCS/curon.c,v $ */

#ifndef lint
static char *rcsid = "$Header:curon.c 12.0$";
#endif

/*
 * Copyright (c) 1980 Regents of the University of California.
 * All rights reserved.  The Berkeley software License Agreement
 * specifies the terms and conditions for redistribution.
 */

#ifndef lint
static char sccsid[] = "@(#)curon.c	5.1 (Berkeley) 4/26/85";
#endif not lint

#include "2648.h"

curon()
{
	if (_cursoron)
		return;
	sync();
	escseq(ESCD);
	outchar('k');
	_cursoron = 1;
}

curoff()
{
	if (!_cursoron)
		return;
	sync();
	escseq(ESCD);
	outchar('l');
	_cursoron = 0;
}
